Bug 451144 - amazon-gahp needs to handle gSOAP soap_call__... errors better
amazon-gahp needs to handle gSOAP soap_call__... errors better
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
All Linux
medium Severity medium
: 2.0
: ---
Assigned To: grid-maint-list
MRG Quality Engineering
Depends On:
  Show dependency treegraph
Reported: 2008-06-12 19:28 EDT by Matthew Farrellee
Modified: 2011-01-07 12:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-01-07 12:57:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2008-06-12 19:28:14 EDT
It is highly likely that this fault comes from gSOAP itself, not from EC2.

(suspect statement, can't verify anymore) However, there is still a mystery
because the key pair was actually created in EC2.

(xml unavailable)

The fault code here is problematic because it doesn't exist, there's just a
message, e.g. code = Client not Client.TryAgain

6/12 12:33:12 Call to CreateKeyPair failed: SOAP 1.1 fault: SOAP-ENV:Client [no 
"Try Again"
Detail: get host by name failed in tcp_connect()

6/12 12:33:12 Command(AMAZON_VM_CREATE_KEYPAIR) got error(code:Client, msg:Try A
6/12 12:33:12 CMD("AMAZON_VM_CREATE_KEYPAIR 51 ...") is done
with result 51 1 Client Try\ Again
Comment 1 Jan Sarenik 2008-12-08 03:57:00 EST
FYI: amazon-gahp was renamed to amazon_gahp
in version 7.2.0-0.8 (7.2.0 pre-release)
Comment 2 Matthew Farrellee 2011-01-07 12:57:53 EST
If this appears again or more frequently it can be re-opened.

Note You need to log in before you can comment on or make changes to this bug.